import { ChainId } from '@envanik/sdk';
import { Wallet, activeFunctionType } from './wallet';
export declare class XDefiWallet extends Wallet {
    constructor();
    installed(): boolean;
}
export declare class NearWallet extends Wallet {
    constructor();
    installed(): boolean;
}
export declare class HashPackWallet extends Wallet {
    constructor(supportedChainsId: ChainId[]);
    tryActivation({ activate, onSuccess, onError, chainId, }: {
        activate: activeFunctionType;
        onSuccess?: () => void;
        onError?: (error: unknown) => Promise<void>;
        chainId?: ChainId;
    }): Promise<void>;
    installed(): boolean;
}
